<?php

/* -------------------------------------------------------------------------
	NTT DoCoMo i-mode capable device information used by ClientDetect class
	a part of PC2M Website Transcoder for Mobile Clients
	Copyright (C) 2005-2007 ucb.rcdtokyo and the contributors
	http://www.rcdtokyo.com/pc2m/note/

	This file shall be updated regarding to following pages
	http://www.nttdocomo.co.jp/service/imode/make/content/spec/useragent/
	http://www.nttdocomo.co.jp/service/imode/make/content/spec/screen_area/

	[FORMAT]
	$_dev_info = array(
		'Product name as shown in the User-Agent' => array (
			Screen width (pixels),
			Screen color (number of colors - not bit depth),
			GIF support (true or false),
			JPEG support (true or false),
			PNG support (true or false)
			CHTML version (string)
		)
	)
------------------------------------------------------------------------- */

$_dev_info = array(

	/* FOMA i-mode compatible HTML 7.0 */
	'SH903i'		=> array(240, 262144, TRUE, TRUE, FALSE, '7.0'),
	'P903i'			=> array(240, 262144, TRUE, TRUE, FALSE, '7.0'),
	'N903i'			=> array(240, 262144, TRUE, TRUE, FALSE, '7.0'),
	'D903i'			=> array(230, 262144, TRUE, TRUE, FALSE, '7.0'),
	'F903i'			=> array(230, 262144, TRUE, TRUE, FALSE, '7.0'),
	'SO903i'		=> array(240, 262144, TRUE, TRUE, FALSE, '7.0'),
	'D903iTV'		=> array(230, 262144, TRUE, TRUE, FALSE, '7.0'),
	'F903iX'		=> array(230, 262144, TRUE, TRUE, FALSE, '7.0'),
	'P903iTV'		=> array(240, 262144, TRUE, TRUE, FALSE, '7.0'),
	'SH903iTV'		=> array(240, 262144, TRUE, TRUE, FALSE, '7.0'),
	'F903iBSC'		=> array(230, 262144, TRUE, TRUE, FALSE, '7.0'),
	'P903iX'		=> array(240, 262144, TRUE, TRUE, FALSE, '7.0'),
	'SO903iTV'		=> array(240, 262144, TRUE, TRUE, FALSE, '7.0'),
	'N703iD'		=> array(240, 262144, TRUE, TRUE, FALSE, '7.0'),
	'F703i'			=> array(230, 262144, TRUE, TRUE, FALSE, '7.0'),
	'P703i'			=> array(240, 262144, TRUE, TRUE, FALSE, '7.0'),
	'D703i'			=> array(230, 262144, TRUE, TRUE, FALSE, '7.0'),
	'SH703i'		=> array(240, 262144, TRUE, TRUE, FALSE, '7.0'),
	'N703imyu'		=> array(240, 262144, TRUE, TRUE, FALSE, '7.0'),
	'SO703i'		=> array(240, 262144, TRUE, TRUE, FALSE, '7.0'),
	'SH904i'		=> array(240, 262144, TRUE, TRUE, FALSE, '7.0'),
	'N904i'			=> array(240, 262144, TRUE, TRUE, FALSE, '7.0'),
	'F904i'			=> array(240, 262144, TRUE, TRUE, FALSE, '7.0'),
	'D904i'			=> array(240, 262144, TRUE, TRUE, FALSE, '7.0'),
	'P904i'			=> array(240, 262144, TRUE, TRUE, FALSE, '7.0'),
	'SO704i'		=> array(240, 262144, TRUE, TRUE, FALSE, '7.0'),
	'F704i'			=> array(230, 262144, TRUE, TRUE, FALSE, '7.0'),
	'N704imyu'		=> array(240, 262144, TRUE, TRUE, FALSE, '7.0'),

	/* FOMA i-mode compatible HTML 6.0 */
	'F902i'			=> array(230, 262144, TRUE, TRUE, FALSE, '6.0'),
	'D902i'			=> array(230, 262144, TRUE, TRUE, FALSE, '6.0'),
	'N902i'			=> array(240, 262144, TRUE, TRUE, FALSE, '6.0'),
	'P902i'			=> array(240, 262144, TRUE, TRUE, FALSE, '6.0'),
	'SH902i'		=> array(240, 262144, TRUE, TRUE, FALSE, '6.0'),
	'SO902i'		=> array(240, 262144, TRUE, TRUE, FALSE, '6.0'),
	'SH902iS'		=> array(240, 262144, TRUE, TRUE, FALSE, '6.0'),
	'P902iS'		=> array(240, 262144, TRUE, TRUE, FALSE, '6.0'),
	'N902iS'		=> array(240, 262144, TRUE, TRUE, FALSE, '6.0'),
	'D902iS'		=> array(230, 262144, TRUE, TRUE, FALSE, '6.0'),
	'F902iS'		=> array(230, 262144, TRUE, TRUE, FALSE, '6.0'),
	'SO902iWP+'		=> array(240, 262144, TRUE, TRUE, FALSE, '6.0'),
	'SH902iSL'		=> array(240, 262144, TRUE, TRUE, FALSE, '6.0'),
	'N902iX'		=> array(240, 262144, TRUE, TRUE, FALSE, '6.0'),
	'N902iL'		=> array(240, 262144, TRUE, TRUE, FALSE, '6.0'),
	'P702i'			=> array(240, 262144, TRUE, TRUE, FALSE, '6.0'),
	'N702iD'		=> array(240, 65536, TRUE, TRUE, FALSE, '6.0'),
	'F702iD'		=> array(240, 262144, TRUE, TRUE, FALSE, '6.0'),
	'SH702iD'		=> array(240, 262144, TRUE, TRUE, FALSE, '6.0'),
	'D702i'			=> array(230, 262144, TRUE, TRUE, FALSE, '6.0'),
	'SO702i'		=> array(240, 262144, TRUE, TRUE, FALSE, '6.0'),
	'D702iBCL'		=> array(240, 262144, TRUE, TRUE, FALSE, '6.0'),
	'SA702i'		=> array(240, 65536, TRUE, TRUE, FALSE, '6.0'),
	'SH702iS'		=> array(240, 65536, TRUE, TRUE, FALSE, '6.0'),
	'N702iS'		=> array(240, 65536, TRUE, TRUE, FALSE, '6.0'),
	'P702iD'		=> array(240, 262144, TRUE, TRUE, FALSE, '6.0'),
	'D702iF'		=> array(230, 262144, TRUE, TRUE, FALSE, '6.0'),
	'D851iWM'		=> array(230, 262144, TRUE, TRUE, FALSE, '6.0'),
	'F882iES'		=> array(240, 65536, TRUE, TRUE, FALSE, '6.0'),
	'N601i'			=> array(240, 65536, TRUE, TRUE, FALSE, '6.0'),
	'D800iDS'		=> array(230, 262144, TRUE, TRUE, FALSE, '6.0'),
	'P703imyu'		=> array(240, 262144, TRUE, TRUE, FALSE, '6.0'),
	'F883i'			=> array(240, 65536, TRUE, TRUE, FALSE, '6.0'),

	/* FOMA i-mode compatible HTML 5.0 */
	'F900i'			=> array(230, 262144, TRUE, TRUE, FALSE, '5.0'),
	'N900i'			=> array(240, 65536, TRUE, TRUE, FALSE, '5.0'),
	'P900i'			=> array(240, 65536, TRUE, TRUE, FALSE, '5.0'),
	'SH900i'		=> array(240, 262144, TRUE, TRUE, FALSE, '5.0'),
	'F900iT'		=> array(230, 262144, TRUE, TRUE, FALSE, '5.0'),
	'P900iV'		=> array(240, 262144, TRUE, TRUE, FALSE, '5.0'),
	'N900iS'		=> array(240, 65536, TRUE, TRUE, FALSE, '5.0'),
	'D900i'			=> array(240, 262144, TRUE, TRUE, FALSE, '5.0'),
	'F900iC'		=> array(230, 262144, TRUE, TRUE, FALSE, '5.0'),
	'N900iL'		=> array(240, 65536, TRUE, TRUE, FALSE, '5.0'),
	'N900iG'		=> array(240, 65536, TRUE, TRUE, FALSE, '5.0'),
	'F880iES'		=> array(240, 65536, TRUE, TRUE, FALSE, '5.0'),
	'SH901iC'		=> array(240, 262144, TRUE, TRUE, FALSE, '5.0'),
	'F901iC'		=> array(230, 262144, TRUE, TRUE, FALSE, '5.0'),
	'N901iC'		=> array(240, 65536, TRUE, TRUE, FALSE, '5.0'),
	'D901i'			=> array(230, 262144, TRUE, TRUE, FALSE, '5.0'),
	'P901i'			=> array(240, 65536, TRUE, TRUE, FALSE, '5.0'),
	'SH901iS'		=> array(240, 262144, TRUE, TRUE, FALSE, '5.0'),
	'F901iS'		=> array(230, 262144, TRUE, TRUE, FALSE, '5.0'),
	'D901iS'		=> array(230, 262144, TRUE, TRUE, FALSE, '5.0'),
	'P901iS'		=> array(240, 65536, TRUE, TRUE, FALSE, '5.0'),
	'N901iS'		=> array(240, 65536, TRUE, TRUE, FALSE, '5.0'),
	'P901iTV'		=> array(240, 65536, TRUE, TRUE, FALSE, '5.0'),
	'F700i'			=> array(230, 262144, TRUE, TRUE, FALSE, '5.0'),
	'SH700i'		=> array(240, 262144, TRUE, TRUE, FALSE, '5.0'),
	'N700i'			=> array(240, 65536, TRUE, TRUE, FALSE, '5.0'),
	'P700i'			=> array(240, 65536, TRUE, TRUE, FALSE, '5.0'),
	'F700iS'		=> array(240, 262144, TRUE, TRUE, FALSE, '5.0'),
	'SH700iS'		=> array(240, 262144, TRUE, TRUE, FALSE, '5.0'),
	'SA700iS'		=> array(240, 65536, TRUE, TRUE, FALSE, '5.0'),
	'SH851i'		=> array(240, 262144, TRUE, TRUE, FALSE, '5.0'),
	'P851i'			=> array(240, 65536, TRUE, TRUE, FALSE, '5.0'),
	'F881iES'		=> array(240, 65536, TRUE, TRUE, FALSE, '5.0'),
	'D701i'			=> array(230, 65536, TRUE, TRUE, FALSE, '5.0'),
	'N701i'			=> array(240, 65536, TRUE, TRUE, FALSE, '5.0'),
	'P701iD'		=> array(240, 65536, TRUE, TRUE, FALSE, '5.0'),
	'D701iWM'		=> array(230, 65536, TRUE, TRUE, FALSE, '5.0'),
	'N701iECO'		=> array(240, 65536, TRUE, TRUE, FALSE, '5.0'),
	'SA800i'		=> array(230, 65536, TRUE, TRUE, FALSE, '5.0'),
	'L600i'			=> array(176, 65536, TRUE, TRUE, FALSE, '5.0'),
	'N600i'			=> array(176, 65536, TRUE, TRUE, FALSE, '5.0'),
	'L601i'			=> array(176, 65536, TRUE, TRUE, FALSE, '5.0'),
	'M702iS'		=> array(240, 262144, TRUE, TRUE, FALSE, '5.0'),
	'M702iG'		=> array(240, 262144, TRUE, TRUE, FALSE, '5.0'),
	'L602i'			=> array(170, 65536, TRUE, TRUE, FALSE, '5.0'),

	/* FOMA i-mode compatible HTML 4.0 */
	'F2051'			=> array(176, 65536, TRUE, TRUE, FALSE, '4.0'),
	'N2051'			=> array(176, 65536, TRUE, TRUE, FALSE, '4.0'),
	'P2102V'		=> array(176, 262144, TRUE, TRUE, FALSE, '4.0'),
	'F2102V'		=> array(176, 65536, TRUE, TRUE, FALSE, '4.0'),
	'N2102V'		=> array(176, 65536, TRUE, TRUE, FALSE, '4.0'),
	'N2701'			=> array(176, 65536, TRUE, TRUE, FALSE, '4.0'),
	'NM850iG'		=> array(176, 65536, TRUE, TRUE, FALSE, '4.0'),

	/* FOMA i-mode compatible HTML 3.0 */
	'N2001'			=> array(118, 4096, TRUE, TRUE, FALSE, '3.0'),
	'N2002'			=> array(118, 65536, TRUE, TRUE, FALSE, '3.0'),
	'P2002'			=> array(118, 65536, TRUE, TRUE, FALSE, '3.0'),
	'D2101V'		=> array(120, 262144, TRUE, TRUE, FALSE, '3.0'),
	'P2101V'		=> array(163, 262144, TRUE, TRUE, FALSE, '3.0'),
	'MST_v_SH2101V'	=> array(800, 65536, TRUE, TRUE, FALSE, '3.0'),
	'T2101V'		=> array(176, 262144, TRUE, TRUE, FALSE, '3.0'),

	/* MOVA i-mode compatible HTML 5.0 */
	'D505i'			=> array(240, 262144, TRUE, TRUE, FALSE, '5.0'),
	'SO505i'		=> array(256, 262144, TRUE, TRUE, FALSE, '5.0'),
	'SH505i'		=> array(240, 262144, TRUE, TRUE, FALSE, '5.0'),
	'SH505i2'		=> array(240, 262144, TRUE, TRUE, FALSE, '5.0'),
	'N505i'			=> array(240, 262144, TRUE, TRUE, FALSE, '5.0'),
	'F505i'			=> array(240, 262144, TRUE, TRUE, FALSE, '5.0'),
	'P505i'			=> array(240, 65536, TRUE, TRUE, FALSE, '5.0'),
	'D505iS'		=> array(240, 262144, TRUE, TRUE, FALSE, '5.0'),
	'P505iS'		=> array(240, 65536, TRUE, TRUE, FALSE, '5.0'),
	'N505iS'		=> array(240, 262144, TRUE, TRUE, FALSE, '5.0'),
	'SO505iS'		=> array(240, 262144, TRUE, TRUE, FALSE, '5.0'),
	'SH505iS'		=> array(240, 262144, TRUE, TRUE, FALSE, '5.0'),
	'F505iGPS'		=> array(240, 262144, TRUE, TRUE, FALSE, '5.0'),
	'D252i'			=> array(176, 262144, TRUE, TRUE, FALSE, '5.0'),
	'SH252i'		=> array(240, 262144, TRUE, TRUE, FALSE, '5.0'),
	'P252i'			=> array(132, 65536, TRUE, TRUE, FALSE, '5.0'),
	'N252i'			=> array(132, 65536, TRUE, TRUE, FALSE, '5.0'),
	'P252iS'		=> array(132, 65536, TRUE, TRUE, FALSE, '5.0'),
	'D506i'			=> array(240, 262144, TRUE, TRUE, FALSE, '5.0'),
	'F506i'			=> array(240, 262144, TRUE, TRUE, FALSE, '5.0'),
	'N506i'			=> array(240, 262144, TRUE, TRUE, FALSE, '5.0'),
	'P506iC'		=> array(240, 262144, TRUE, TRUE, FALSE, '5.0'),
	'SH506iC'		=> array(240, 262144, TRUE, TRUE, FALSE, '5.0'),
	'SO506iC'		=> array(240, 262144, TRUE, TRUE, FALSE, '5.0'),
	'N506iS'		=> array(240, 262144, TRUE, TRUE, FALSE, '5.0'),
	'SO506i'		=> array(240, 262144, TRUE, TRUE, FALSE, '5.0'),
	'SO506iS'		=> array(240, 262144, TRUE, TRUE, FALSE, '5.0'),
	'N506iS2'		=> array(240, 262144, TRUE, TRUE, FALSE, '5.0'),
	'D253i'			=> array(176, 262144, TRUE, TRUE, FALSE, '5.0'),
	'N253i'			=> array(160, 65536, TRUE, TRUE, FALSE, '5.0'),
	'P253i'			=> array(132, 65536, TRUE, TRUE, FALSE, '5.0'),
	'D253iWM'		=> array(220, 262144, TRUE, TRUE, FALSE, '5.0'),
	'P253iS'		=> array(132, 65536, TRUE, TRUE, FALSE, '5.0'),
	'P213i'			=> array(132, 65536, TRUE, TRUE, FALSE, '5.0'),

	/* MOVA i-mode compatible HTML 4.0 */
	'D504i'			=> array(132, 262144, TRUE, TRUE, FALSE, '4.0'),
	'F504i'			=> array(132, 65536, TRUE, TRUE, FALSE, '4.0'),
	'F504iS'		=> array(132, 65536, TRUE, TRUE, FALSE, '4.0'),
	'N504i'			=> array(160, 65536, TRUE, TRUE, FALSE, '4.0'),
	'N504iS'		=> array(160, 65536, TRUE, TRUE, FALSE, '4.0'),
	'SO504i'		=> array(120, 65536, TRUE, TRUE, FALSE, '4.0'),
	'P504i'			=> array(132, 65536, TRUE, TRUE, FALSE, '4.0'),
	'P504iS'		=> array(132, 65536, TRUE, TRUE, FALSE, '4.0'),
	'D251i'			=> array(132, 262144, TRUE, TRUE, FALSE, '4.0'),
	'D251iS'		=> array(132, 262144, TRUE, TRUE, FALSE, '4.0'),
	'F251i'			=> array(132, 65536, TRUE, TRUE, FALSE, '4.0'),
	'N251i'			=> array(132, 65536, TRUE, TRUE, FALSE, '4.0'),
	'N251iS'		=> array(132, 65536, TRUE, TRUE, FALSE, '4.0'),
	'P251iS'		=> array(132, 65536, TRUE, TRUE, FALSE, '4.0'),
	'F671iS'		=> array(160, 65536, TRUE, TRUE, FALSE, '4.0'),
	'F212i'			=> array(132, 65536, TRUE, TRUE, FALSE, '4.0'),
	'SO212i'		=> array(120, 65536, TRUE, TRUE, FALSE, '4.0'),
	'F661i'			=> array(132, 65536, TRUE, TRUE, FALSE, '4.0'),
	'F672i'			=> array(160, 65536, TRUE, TRUE, FALSE, '4.0'),
	'SO213i'		=> array(120, 65536, TRUE, TRUE, FALSE, '4.0'),
	'SO213iS'		=> array(120, 65536, TRUE, TRUE, FALSE, '4.0'),
	'SO213iWR'		=> array(120, 65536, TRUE, TRUE, FALSE, '4.0'),

	/* MOVA i-mode compatible HTML 3.0 */
	'D210i'			=> array(96, 256, TRUE, FALSE, FALSE, '3.0'),
	'SO210i'		=> array(120, 256, TRUE, FALSE, FALSE, '3.0'),
	'F503i'			=> array(120, 256, TRUE, FALSE, FALSE, '3.0'),
	'F503iS'		=> array(120, 4096, TRUE, FALSE, FALSE, '3.0'),
	'P503i'			=> array(120, 256, TRUE, FALSE, FALSE, '3.0'),
	'P503iS'		=> array(120, 256, TRUE, TRUE, FALSE, '3.0'),
	'N503i'			=> array(120, 4096, TRUE, TRUE, FALSE, '3.0'),
	'N503iS'		=> array(120, 4096, TRUE, TRUE, FALSE, '3.0'),
	'SO503i'		=> array(120, 65536, TRUE, FALSE, FALSE, '3.0'),
	'SO503iS'		=> array(120, 65536, TRUE, FALSE, FALSE, '3.0'),
	'D503i'			=> array(132, 4096, TRUE, FALSE, FALSE, '3.0'),
	'D503iS'		=> array(132, 4096, TRUE, FALSE, FALSE, '3.0'),
	'F211i'			=> array(96, 4096, TRUE, FALSE, FALSE, '3.0'),
	'D211i'			=> array(100, 4096, TRUE, FALSE, FALSE, '3.0'),
	'N211i'			=> array(118, 4096, TRUE, TRUE, FALSE, '3.0'),
	'N211iS'		=> array(118, 4096, TRUE, FALSE, FALSE, '3.0'),
	'P211i'			=> array(120, 65536, TRUE, FALSE, FALSE, '3.0'),
	'P211iS'		=> array(120, 65536, TRUE, FALSE, FALSE, '3.0'),
	'SO211i'		=> array(120, 4096, TRUE, TRUE, FALSE, '3.0'),
	'R211i'			=> array(96, 4096, TRUE, TRUE, FALSE, '3.0'),
	'SH251i'		=> array(120, 65536, TRUE, TRUE, FALSE, '3.0'),
	'SH251iS'		=> array(176, 65536, TRUE, TRUE, FALSE, '3.0'),
	'R692i'			=> array(96, 4096, TRUE, TRUE, FALSE, '3.0'),

	/* MOVA i-mode compatible HTML 2.0 */
	'D502i'			=> array(96, 256, TRUE, FALSE, FALSE, '2.0'),
	'F502i'			=> array(96, 256, TRUE, FALSE, FALSE, '2.0'),
	'N502i'			=> array(118, 4, TRUE, FALSE, FALSE, '2.0'),
	'P502i'			=> array(96, 4, TRUE, FALSE, FALSE, '2.0'),
	'NM502i'		=> array(111, 2, TRUE, FALSE, FALSE, '2.0'),
	'SO502i'		=> array(120, 4, TRUE, FALSE, FALSE, '2.0'),
	'F502it'		=> array(96, 256, TRUE, FALSE, FALSE, '2.0'),
	'N502it'		=> array(118, 256, TRUE, FALSE, FALSE, '2.0'),
	'SO502iWM'		=> array(120, 256, TRUE, FALSE, FALSE, '2.0'),
	'SH821i'		=> array(96, 256, TRUE, FALSE, FALSE, '2.0'),
	'N821i'			=> array(118, 4, TRUE, FALSE, FALSE, '2.0'),
	'P821i'			=> array(118, 4, TRUE, FALSE, FALSE, '2.0'),
	'D209i'			=> array(96, 256, TRUE, FALSE, FALSE, '2.0'),
	'ER209i'		=> array(120, 2, TRUE, FALSE, FALSE, '2.0'),
	'F209i'			=> array(96, 256, TRUE, FALSE, FALSE, '2.0'),
	'KO209i'		=> array(96, 256, TRUE, FALSE, FALSE, '2.0'),
	'N209i'			=> array(108, 4, TRUE, FALSE, FALSE, '2.0'),
	'P209i'			=> array(96, 4, TRUE, FALSE, FALSE, '2.0'),
	'P209is'		=> array(96, 256, TRUE, FALSE, FALSE, '2.0'),
	'R209i'			=> array(96, 4, TRUE, FALSE, FALSE, '2.0'),
	'P651ps'		=> array(96, 4, TRUE, FALSE, FALSE, '2.0'),
	'R691i'			=> array(96, 4, TRUE, FALSE, FALSE, '2.0'),
	'F210i'			=> array(96, 256, TRUE, FALSE, FALSE, '2.0'),
	'N210i'			=> array(118, 256, TRUE, FALSE, FALSE, '2.0'),
	'P210i'			=> array(96, 256, TRUE, FALSE, FALSE, '2.0'),
	'KO210i'		=> array(96, 256, TRUE, FALSE, FALSE, '2.0'),
	'F671i'			=> array(120, 256, TRUE, FALSE, FALSE, '2.0'),

	/* MOVA i-mode compatible HTML 1.0 */
	'D501i'			=> array(96, 2, TRUE, FALSE, FALSE, '1.0'),
	'F501i'			=> array(112, 2, TRUE, FALSE, FALSE, '1.0'),
	'N501i'			=> array(118, 2, TRUE, FALSE, FALSE, '1.0'),
	'P501i'			=> array(96, 2, TRUE, FALSE, FALSE, '1.0'),
);

?>
